Bug 365951 - screen rotation with xrandr does not work correctly when desktop-effects are enabled
screen rotation with xrandr does not work correctly when desktop-effects are ...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
: 428283 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-04 13:36 EST by Luis Villa
Modified: 2008-12-01 13:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-01 13:02:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luis Villa 2007-11-04 13:36:29 EST
When desktop-effects are not enabled, screen rotation[1] works as expected-
screen properly resizes from 1024x768 to 768x1024, and panel and so on resize
properly. When desktop-effects are enabled, things go bad, apparently
unpredictably- sometimes it seems to resize correctly, but the screen then stops
refreshing; other times it does not resize correctly (apparently becoming
768x768), etc.

This is problematic for tablet PC users, though of course there is an obvious
workaround (turn off desktop effects.)


[1] using the following command:
    /usr/bin/xrandr --output LVDS --rotate [right|normal]
Comment 1 Matěj Cepl 2007-11-05 04:25:42 EST
hardware information will be (hopefully) in bug 366211
Comment 2 Adam Jackson 2008-02-12 14:34:37 EST
Really a compiz bug first.  Definitely not an XFree86 bug though.
Comment 3 Matěj Cepl 2008-02-13 11:35:18 EST
*** Bug 428283 has been marked as a duplicate of this bug. ***
Comment 4 Luis Villa 2008-02-13 11:59:36 EST
Note that the duplicate bug has extensive X logs, confs, etc., and bug 366211
has all of the same information from my HW.
Comment 5 Bug Zapper 2008-11-26 03:11:52 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Luis Villa 2008-12-01 13:02:28 EST
Not sure when this got fixed (wasn't F9) but now seems to work in F10! Thanks!

Note You need to log in before you can comment on or make changes to this bug.